# Hibob (Legacy) — HRIS API: gotchas

> Canonical URL: https://developers.apideck.com/apis/hris/hibob/gotchas

## GET /hris/employees

If your Unify plan has the 'Custom Field Mapping' feature, you can map custom fields to your responses. Once mapped, they will be included in the custom_mappings property within Unify responses.
Important to know is that HiBob has permission controls for users to determine which data will be available on their API. This can lead to specific fields not being available (example: `birthday`).
On 'List Employees', only mapped custom fields have values. Other custom fields are returned with `value: null`. For getting all custom field values, please use the 'Get Employee' (employeesOne) call instead of 'List Employees'.

## GET /hris/employees

HiBob does not expose a total record count in list responses. `meta.total_count` will not appear.

## POST /hris/employees

When creating an employee is required by Hibob to include the following Unifiy fields: first_name, last_name, employment_start_date, jobs[0].location.name and an email with a primary type must be provided within the emails field.
For countries hibob doesn't accept iso code or name values so just the country common name. Example 'United States'
HiBob API just accepts one compensation, so for the request it will be considered the first one sent in the array and the payment unit is sent yearly by default.

## GET /hris/employees/{id}

If your Unify plan has the 'Custom Field Mapping' feature, you can map custom fields to your responses. Once mapped, they will be included in the custom_mappings property within Unify responses.
Important to know is that HiBob has permission controls for users to determine which data will be available on their API. This can lead to specific fields not being available (example: `birthday`).

## PATCH /hris/employees/{id}

Certain fields like address, compensations, and title cannot be updated via the HiBob API.
## GET /hris/departments

HiBob does not expose a total record count in list responses. `meta.total_count` will not appear.

## GET /hris/schedules/employees/{employee_id}

HiBob does not expose a total record count in list responses. `meta.total_count` will not appear.

## GET /hris/time-off-requests

HiBob does not expose a total record count in list responses. `meta.total_count` will not appear.


[API reference](https://developers.apideck.com/apis/hris/reference.md) · [Coverage matrix](https://developers.apideck.com/apis/hris/coverage)
